{{- define "lib.metadata" }}
metadata:
  {{- if .customName }}
  name: {{ .customName }}
  {{- else }}
  name: {{ include "chart.fullname" .Context }}
  {{- end }}
  labels:
{{ include "metadata.labels" .Context | indent 4 }}
  {{- if .annotations }}
  annotations:
{{ .annotations | toYaml | indent 4 }}
  {{- end }}
{{- end }}

{{- define "metadata.customName" -}}
{{- end -}}
